#!/bin/bash

# first device connected

idf.py -DROLE=SENDER build

ret_val=$?

if (($ret_val != 0)); then
	exit
fi

if [$1 == '']; then
	idf.py flash -p /dev/ttyUSB0 
	idf.py -p /dev/ttyUSB0 monitor -B 450000
else
	idf.py flash -p $1
	idf.py -p $1 monitor -B 450000
fi
